FYI: Site Upgrade

At year end, we upgraded our website to make it safer and to align with industry standards and best practices. Because of this, you may need to upgrade your web browser to a version capable of supporting these updates. If you do not upgrade, you will get a connection error when attempting to access our site. To test your browser’s compatibility, click here

Please make sure your browser is one of the following:

  • Microsoft IE version 11 and higher
  • Microsoft IE versions 9 & 10 (compatible with Windows 7 or newer)
  • Microsoft Windows Server 2008 R2 and higher
  • Microsoft Vista is not compatible
  • Microsoft Edge
  • Firefox 27 and higher
  • Google Chrome 38 and higher
  • Mobile Safari version 5 and higher

Changes were implemented on January 8th, 2018.